Summary:	Print calendars
Name:		gcal
Version:	3.5.1
Release:	%mkrel 1
License:	GPLv3+
Group:		Office
Source0:	ftp://ftp.gnu.org/pub/gnu/gcal/%{name}-%{version}.tar.bz2
#Patch0:		gcal-fix-relative-symlinks.patch
URL:		http://www.gnu.org/software/gcal/gcal.html
BuildRequires:	ncurses-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Gcal is a program for printing calendars. Gcal displays a calendar for a month
or a year, eternal holiday lists and fixed date lists, in many ways. The
program correctly omits the dates that were skipped when the current Gregorian
calendar replaced the earlier Julian calendar.

Additionally, it can generate air line distance between over 400 cities on
earth, moon phases in these cities, whole annual holidays, etc.

%prep
%setup -q
#%patch0 -p0

%build
%configure --with-included-regexps
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall} mandir=$RPM_BUILD_ROOT%{_mandir}/man1
perl -pi -e "s,$RPM_BUILD_ROOT,," $RPM_BUILD_ROOT/usr/share/gcal/misc/*/*

mkdir -p $RPM_BUILD_ROOT%{_mandir}/de/man1
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/*.alias
rm -f $RPM_BUILD_ROOT%{_infodir}/dir.texi*

%find_lang %{name}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc README COPYING AUTHORS NEWS THANKS 
%{_bindir}/*
%{_datadir}/gcal
%{_infodir}/gcal*



%changelog
* Wed Apr 14 2010 Sandro Cazzaniga <kharec@mandriva.org> 3.5.1-1mdv2010.1
+ Revision: 534761
- Don't define name, version, release on top of spec
- new version 3.5.1
- drop p1, applied upstream and p0 (but keep p0)
- fix %%install && %%files
- lang(de) is now with the other langs (%%find_lang)
- fix license

* Thu Mar 11 2010 Sandro Cazzaniga <kharec@mandriva.org> 3.01.1-1mdv2010.1
+ Revision: 517924
- Fix License according to the COPYING file.
- Update to 3.01.1

* Thu Feb 11 2010 Funda Wang <fwang@mandriva.org> 3.01-13mdv2010.1
+ Revision: 504125
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 3.01-10mdv2008.1
+ Revision: 125489
- kill re-definition of %%buildroot on Pixel's request
- import gcal


* Thu Oct 06 2005 Lenny Cartier <lenny@mandriva.com> 3.01-10mdk
- rebuild

* Thu Jul 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.01-9mdk
- fix buildrequires
- cleanups

* Thu May 27 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.01-8mdk
- rebuild
- clean up a leftover file

* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.01-7mdk
- rebuild

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.01-6mdk
- rebuild

* Sun Mar 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.01-5mdk
- fixes from Abel Cheung <maddog@linux.org.hk> :
	- Patch1: Misc fixes taken from debian
	- Add missing manpages
	- find_lang
	- Use _install_info and _remove_install_info

* Tue Jul 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.01-4mdk
- rebuild

* Fri May 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.01-3mdk
- use find_lang

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.01-2mdk
- rebuild

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.01-1mdk
- macros
- BM

* Sat Jun 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.00-2mdk
- better group

* Fri Jun  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.00-1mdk
- first Mandrake package

